[committed] libstdc++: Minor update to installation docs

Jonathan Wakely jwakely@redhat.com
Mon Sep 18 11:17:47 GMT 2023


Pushed to trunk.

-- >8 --

libstdc++-v3/ChangeLog:

	* doc/xml/manual/intro.xml: Clarify that building libstdc++
	separately from GCC is not supported.
	* doc/xml/manual/prerequisites.xml: Note msgfmt prerequisite for
	testing.
	* doc/html/manual/setup.html: Regenerate.
---
 libstdc++-v3/doc/html/manual/setup.html       | 28 +++++++++++++------
 libstdc++-v3/doc/xml/manual/intro.xml         |  8 +++---
 libstdc++-v3/doc/xml/manual/prerequisites.xml | 21 ++++++++++++--
 3 files changed, 42 insertions(+), 15 deletions(-)

diff --git a/libstdc++-v3/doc/xml/manual/intro.xml b/libstdc++-v3/doc/xml/manual/intro.xml
index 03d538546b7..f5037acdb5c 100644
--- a/libstdc++-v3/doc/xml/manual/intro.xml
+++ b/libstdc++-v3/doc/xml/manual/intro.xml
@@ -1327,13 +1327,13 @@ requirements of the license of GCC.
   <?dbhtml filename="setup.html"?>
 
 
-   <para>To transform libstdc++ sources into installed include files
+   <para>Transforming libstdc++ sources into installed include files
    and properly built binaries useful for linking to other software is
-   a multi-step process. Steps include getting the sources,
-   configuring and building the sources, testing, and installation.
+   done as part of building GCC. Building libstdc++ separately from the
+   rest of GCC is not supported.
    </para>
 
-   <para>The general outline of commands is something like:
+   <para>The general outline of commands to build GCC is something like:
    </para>
 
    <programlisting>
diff --git a/libstdc++-v3/doc/xml/manual/prerequisites.xml b/libstdc++-v3/doc/xml/manual/prerequisites.xml
index f00979a1afa..a02d3795830 100644
--- a/libstdc++-v3/doc/xml/manual/prerequisites.xml
+++ b/libstdc++-v3/doc/xml/manual/prerequisites.xml
@@ -103,8 +103,10 @@ ln -s libiconv-1.16 libiconv
 	<para>
 	  If GCC 3.1.0 or later on is being used on GNU/Linux, an attempt
 	  will be made to use "C" library functionality necessary for
-	  C++ named locale support.  For GCC 4.6.0 and later, this
-	  means that glibc 2.3 or later is required.
+	  C++ named locale support, e.g. the <function>newlocale</function>
+	  and <function>uselocale</function> functions.
+	  For GCC 4.6.0 and later,
+	  this means that glibc 2.3 or later is required.
 	</para>
 
 	<para>
@@ -153,7 +155,10 @@ zh_TW               BIG5
 
       <itemizedlist>
 	<listitem>
-	  <para>install all locales</para>
+	  <para>install all locales, e.g., run
+	    <code> dnf install glibc-all-langpacks </code>
+	    for Fedora and related distributions.
+	  </para>
 	</listitem>
 	<listitem>
 	  <para>install just the necessary locales</para>
@@ -178,6 +183,16 @@ zh_TW               BIG5
 	</listitem>
       </itemizedlist>
       </listitem>
+
+      <listitem>
+	Some tests for the <code>std::messages</code> facet require a
+	message catalog created by the <command>msgfmt</command> utility.
+	That is usually installed as part of the GNU gettext library.
+	If <command>msgfmt</command> is not available, some tests under
+	the <filename class="directory">22_locale/messages</filename>
+	directory will fail.
+      </listitem>
+
       </varlistentry>
    </variablelist>
 
-- 
2.41.0



More information about the Gcc-patches mailing list